Bug 463094 - 2.6.26.3-14.fc8 - WARNING: at drivers/ata/libata-core.c:4732 ata_qc_issue+0x41/0x21c [libata]()
2.6.26.3-14.fc8 - WARNING: at drivers/ata/libata-core.c:4732 ata_qc_issue+0x4...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Garzik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-21 11:33 EDT by Bryce
Modified: 2013-07-02 22:35 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:52:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
kernel log just before the stack dump and the stack output itself (6.28 KB, text/plain)
2008-09-21 11:33 EDT, Bryce
no flags Details
boot log and detail of controller (78.11 KB, text/plain)
2008-09-22 21:16 EDT, Bryce
no flags Details

  None (edit)
Description Bryce 2008-09-21 11:33:26 EDT
Created attachment 317322 [details]
kernel log just before the stack dump and the stack output itself

With medium/heavy IO on a raid 5 stack the kernel keeps ejecting multiple warning oopses

WARNING: at drivers/ata/libata-core.c:4732 ata_qc_issue+0x41/0x21c [libata]()

(the kernel is tainted since I have the NVIDIA video driver loaded but that shouldn't have any effect in the IO subsystem)

Phil
=--=
Comment 1 Chuck Ebbert 2008-09-22 13:24:16 EDT
4732:
        WARN_ON(ap->ops->error_handler && ata_tag_valid(link->active_tag));

Can you post the complete boot log?
Comment 2 Bryce 2008-09-22 21:16:17 EDT
Created attachment 317428 [details]
boot log and detail of controller

Additional information (bootlog)
Comment 3 Chuck Ebbert 2008-09-23 11:57:47 EDT
Are you sure there is enough power to run all of those disks? (Things can seem okay until all of the disks try to do I/O at the same time.) Was it stable with an older kernel?
Comment 4 Bryce 2008-09-23 12:59:45 EDT
There is a 850W PSU driving those disks on 2 separated 12v @35A max rails.

The drives pull a maximum of 2A @12V at startup so even accounting for all the drives pulling max power simultaneously, the supply lines are more than adequate. 7*2*12 = 168W. The motherboard has it's own independent power rail supply.

It wasn't stable with older kernels either (it would occasionally hard lock and you'd be forced to reset manually)

Anyways,.. looking at the trace, I'm assuming that this is because the driver gets fed up and decides to try without NCQ tagged queueing enabled. But the WARN_ON statement is seeing some sort of tag information

Sep 21 13:27:09 emerald kernel: ata13.00: NCQ disabled due to excessive errors

Phil
=--=
Comment 5 Alan Cox 2008-10-02 10:47:13 EDT
Should be fixed in 2.6.27 providing the relevant patches got in. 

SATA bug so one for Jeff anyway, and I think he merged the fix
Comment 6 Bug Zapper 2008-11-26 06:10:21 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-01-09 02:52:35 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.